%define upstream_name    Dist-Zilla-PluginBundle-SHLOMIF
%define upstream_version 0.000010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Dzil plugins for SHLOMIF (Shlomi Fish)
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Code::TidyAll::Plugin::PerlCritic)
BuildRequires: perl(Code::TidyAll::Plugin::PerlTidy)
BuildRequires: perl(Code::TidyAll::Plugin::TestCount)
BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::Authority)
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::ConfirmRelease)
BuildRequires: perl(Dist::Zilla::Plugin::ExecDir)
BuildRequires: perl(Dist::Zilla::Plugin::FakeRelease)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::Plugin::License)
BuildRequires: perl(Dist::Zilla::Plugin::Manifest)
BuildRequires: perl(Dist::Zilla::Plugin::ManifestSkip)
BuildRequires: perl(Dist::Zilla::Plugin::MetaConfig)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Package)
BuildRequires: perl(Dist::Zilla::Plugin::MetaResources)
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuild)
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::PruneCruft)
BuildRequires: perl(Dist::Zilla::Plugin::Readme)
BuildRequires: perl(Dist::Zilla::Plugin::RunExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::ShareDir)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::Test::CPAN::Changes)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile)
BuildRequires: perl(Dist::Zilla::Plugin::Test::EOL)
BuildRequires: perl(Dist::Zilla::Plugin::Test::NoTabs)
BuildRequires: perl(Dist::Zilla::Plugin::Test::TrailingSpace)
BuildRequires: perl(Dist::Zilla::Plugin::TestRelease)
BuildRequires: perl(Dist::Zilla::Plugin::UploadToCPAN)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moose)
BuildRequires: perl(Perl::Critic)
BuildRequires: perl(Pod::Markdown)
BuildRequires: perl(Pod::Weaver::PluginBundle::SHLOMIF)
BuildRequires: perl(Pod::Weaver::Section::Support)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Shlomi Fish’s plugin bundle (originally derived/forked/based-on the
https://github.com/doy/dist-zilla-pluginbundle-doy manpage - thanks).
Roughly equivalent to (FILL IN/update).

    [Prereqs / TestMoreDoneTesting]
    -phase = test
    -type = requires
    Test::More = 0.88

    [GatherDir]
    [PruneCruft]
    [ManifestSkip]
    [MetaYAML]
    [License]
    [Readme]
    [RunExtraTests]
    [ExecDir]
    [ShareDir]
    [MakeMaker]
    [Manifest]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.0.10-3.mga9
+ Revision: 1812232
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 0.0.10-2.mga8
+ Revision: 1543460
- Mageia 8 Mass Rebuild

* Mon Jan 20 2020 tv <tv> 0.0.10-1.mga8
+ Revision: 1481681
- update to 0.000010

* Sat Jun 29 2019 shlomif <shlomif> 0.0.9-1.mga8
+ Revision: 1415509
- update to 0.000009

* Thu Sep 20 2018 umeabot <umeabot> 0.0.8-2.mga7
+ Revision: 1283372
- Mageia 7 Mass Rebuild

* Tue Jan 09 2018 shlomif <shlomif> 0.0.8-1.mga7
+ Revision: 1191883
- imported package perl-Dist-Zilla-PluginBundle-SHLOMIF


* Tue Jan 09 2018 cpan2dist 0.000008-1mga
- initial mageia release, generated with cpan2dist
